from django.db import models

class Marker(models.Model):
  timestamp = models.DateTimeField(unique=True)
  lat = models.FloatField()
  lng = models.FloatField()
  alt = models.FloatField()
  hdop = models.IntegerField()
  speed = models.IntegerField(null=True, blank=True)

class Trip(models.Model):
  startTime = models.DateTimeField()
  endTime = models.DateTimeField()
  name = models.CharField(max_length=255)
  description = models.TextField(null=True, blank=True)

class CensoredLocation(models.Model):
  lat = models.FloatField()
  lng = models.FloatField()
  radius = models.IntegerField(default=800)
  name = models.CharField(max_length=255)
